DevAssistant 0.10.1 + COPR

Hello everyone, here we are with another bug fix update. Ordinarily, it takes us a bit longer to issue updates, but this time, it’s a little different. For the first time in DevAssistant’s history, we are providing a COPR repository, which means that you can get the latest and greatest DevAssistant even with Fedora releases that are otherwise frozen, and where pushing a fundamentally new version into mainline distros could break the setup for some users. To get this done, we needed to tweak DevAssistant a little, so that’s what 0.10.1 is about.

In terms of user experience, it is nearly the same as version 0.10.0. Some error outputs are nicer, and we tweaked the documentation a bit. The assistants that you run can also have multiple positional arguments now, which makes things prettier and somewhat more logical in certain cases.

The main reason why this release was issued in the first place is the dependency on Docker. As we learnt the hard way, Docker isn’t present on some architectures as we’d expect it to be. For this reason, we decided to drop the hard dependency on docker-py, and made DevAssistant fail gracefully instead, in case it can’t find the docker python API present. For you as the user, this means that if you’re not using a packaged version of DevAssistant (e. g. from the mentioned COPR repository), you will have to install docker-py yourself. In most cases, that will be solved by running:

pip install docker-py --user 

If you prefer the Python 3 variant of DevAssistant, you replace pip with whatever your Python 3 version of pip is – most likely something like pip3. The --user switch at the end means that docker-py is installed in your home directory instead of system-wide. We strongly discourage installing things with pip outside of your home directory, as they can easily collide with packages installed through your system package manager.

The COPR repository

Besides the Python Package Index, DevAssistant 0.10.1 is available for installation from a COPR repository usable on Fedora 21 and Rawhide. In this repository, there are all the packages needed to install this version of DevAssistant on your Fedora machine. The instructions for enabling the repository are shown at the repo’s homepage, linked above.

When the repository is enabled, you can choose what to install in terms of DevAssistant’s user interfaces. If you install the devassistant package as usual, you’ll get both the interfaces, just like you did up till now. Additionally, the Assistant packages that were shipped in previous versions of DA will be installed as well, but in separate packages. You can also opt to install only the command-line frontend instead, which is contained in the package devassistant-cli. We expect this option to be popular with skilled users or users who prefer graphical toolkits other than GTK+. Alternatively, you can install only the GUI in the package devassistant-gui. Bear in mind, though, that this option doesn’t allow you to install new Assistants with the da pkg install command, for obvious reasons, and neither of the UI-only packages installs the Assistants.

In addition to DevAssistant, an assortment of RPM-packaged DAPs is also present. If you then prefer to install packages with your system package manager, or you only have the GUI version of DevAssistant, you can use this option to retrieve new Assistants.

As usual, we greatly appreciate your feedback about the new version.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>